Bug 8547 - When workstation joins the domain only ipv6 record is created (s4 + bind DLZ plugin)
When workstation joins the domain only ipv6 record is created (s4 + bind DLZ ...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x64 Linux
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 13:03 UTC by Lukasz Zalewski
Modified: 2012-03-27 17:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Zalewski 2011-10-27 13:03:30 UTC
Hi!
Just deployed s4 with bind DLZ plugin. When the new workstation joins the domain, only ipv6 AAAA record is created. Let me know what other information you would like me to provide
Comment 1 Lukasz Zalewski 2011-10-27 13:07:23 UTC
should of added that i'm using Version 4.0.0alpha18-GIT-7ebd433
Comment 2 Amitay Isaacs 2012-03-03 02:07:54 UTC
Can you paste the relevant entries from BIND log when the workstation joins? Usually windows sends dynamic updates to the nameserver after it joins a domain. Looking at the logs we can find out if windows is trying to update ipv4 address or not.

I would recommend using the latest Git snapshot, as there have been few fixes to DNS (dlz_bind9, DNS RPC server, TXT record handling, etc.)
Comment 3 Matthias Dieter Wallnöfer 2012-03-27 14:48:11 UTC
Still an issue?
Comment 4 Lukasz Zalewski 2012-03-27 14:57:21 UTC
Hi Matthias, Amitay
Been swamped and have not had a chance to look at it. Sorry
Comment 5 Lukasz Zalewski 2012-03-27 15:05:26 UTC
Will try it now
Comment 6 Lukasz Zalewski 2012-03-27 16:59:23 UTC
Hi Matthias, Amitay
Just checked Version 4.0.0alpha19-GIT-95ebb11 and would like to confirm that both ipv4 (A) and ipv6 (AAAA) are created. Please close this bug
Comment 7 Matthias Dieter Wallnöfer 2012-03-27 17:45:47 UTC
Fixed.